{{define "index"}}
<html>
  <style>
    table {
	font-family: arial, sans-serif;
	border-collapse: collapse;
	width: 100%;
    }
    
    td, th {
	border: 1px solid #dddddd;
	text-align: left;
	padding: 8px;
    }
    tr:nth-child(even) {
	background-color: #dddddd;
    }
  </style>
  <head>
    <title>Team LoRa Dashboard</title>
    <meta http-equiv="refresh" content="3"/>
  </head>
  <body>
    <h1 style="width: 100%; text-align: center;">Team LoRa Dashboard</h1>
    <br><br>
    <form action="/clear" method="post">
      <button name="foo" value="clearData">Clear Data</button>
    </form>
    <table style="width:100%" >
      <tr>
	<th>App ID</th>
	<th>Device ID</th>
	<th>Data</th>
	<th>Time</th>
      </tr>
      {{range .}}
      <tr>
	<td>{{.AppID}}</td>
	<td>{{.DeviceID}}</td>
	<td>{{.PayloadHex}}</td>
	<td>{{.TimeString}}</td>
      </tr>
      {{end}}
    </table>
  </body>
</html>
{{end}}
